<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ywcountlalcollectbean" type="cn.vp.XXX.model.YwcountlalcollectBean"/> -->	<typeAlias alias="Ywcountlalcollect" type="cn.yw..YwcountlalcollectBean"/>
	
	<sql id="condition_Ywcountlalcollect">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEcountId'>
			(countId like '%$LIKEcountId$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='countId'>
			(countId = #countId#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEareanum'>
			(areanum like '%$LIKEareanum$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areanum'>
			(areanum = #areanum# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEareaname'>
			(areaname like '%$LIKEareaname$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areaname'>
			(areaname = #areaname# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcountDate'>
			(countDate like '%$LIKEcountDate$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='countDate'>
			(countDate = #countDate# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcountMonth'>
			(countMonth like '%$LIKEcountMonth$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='countMonth'>
			(countMonth = #countMonth# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcountHour'>
			(countHour like '%$LIKEcountHour$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='countHour'>
			(countHour = #countHour# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmonitortotal'>
			(monitortotal like '%$LIKEmonitortotal$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='monitortotal'>
			(monitortotal = #monitortotal# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEinvalidlalcount'>
			(invalidlalcount like '%$LIKEinvalidlalcount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='invalidlalcount'>
			(invalidlalcount = #invalidlalcount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElaldefectcount'>
			(laldefectcount like '%$LIKElaldefectcount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='laldefectcount'>
			(laldefectcount = #laldefectcount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElalcompletecount'>
			(lalcompletecount like '%$LIKElalcompletecount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lalcompletecount'>
			(lalcompletecount = #lalcompletecount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElalcollectionrate'>
			(lalcollectionrate like '%$LIKElalcollectionrate$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lalcollectionrate'>
			(lalcollectionrate = #lalcollectionrate# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcreateTime'>
			(createTime like '%$LIKEcreateTime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='createTime'>
			(createTime = #createTime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEupdateTime'>
			(updateTime like '%$LIKEupdateTime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='updateTime'>
			(updateTime = #updateTime# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ywcountlalcollect" parameterClass="java.util.Map">
		insert into 
		ywcountlalcollect(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='countId'>countId</isNotEmpty>
			<isNotEmpty prepend=',' property='areanum'>areanum</isNotEmpty>
			<isNotEmpty prepend=',' property='areaname'>areaname</isNotEmpty>
			<isNotEmpty prepend=',' property='countDate'>countDate</isNotEmpty>
			<isNotEmpty prepend=',' property='countMonth'>countMonth</isNotEmpty>
			<isNotEmpty prepend=',' property='countHour'>countHour</isNotEmpty>
			<isNotEmpty prepend=',' property='monitortotal'>monitortotal</isNotEmpty>
			<isNotEmpty prepend=',' property='invalidlalcount'>invalidlalcount</isNotEmpty>
			<isNotEmpty prepend=',' property='laldefectcount'>laldefectcount</isNotEmpty>
			<isNotEmpty prepend=',' property='lalcompletecount'>lalcompletecount</isNotEmpty>
			<isNotEmpty prepend=',' property='lalcollectionrate'>lalcollectionrate</isNotEmpty>
			<isNotEmpty prepend=',' property='createTime'>createTime</isNotEmpty>
			<isNotEmpty prepend=',' property='updateTime'>updateTime</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='countId'>#countId#</isNotEmpty>
			<isNotEmpty prepend=',' property='areanum'>#areanum#</isNotEmpty>
			<isNotEmpty prepend=',' property='areaname'>#areaname#</isNotEmpty>
			<isNotEmpty prepend=',' property='countDate'>#countDate#</isNotEmpty>
			<isNotEmpty prepend=',' property='countMonth'>#countMonth#</isNotEmpty>
			<isNotEmpty prepend=',' property='countHour'>#countHour#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitortotal'>#monitortotal#</isNotEmpty>
			<isNotEmpty prepend=',' property='invalidlalcount'>#invalidlalcount#</isNotEmpty>
			<isNotEmpty prepend=',' property='laldefectcount'>#laldefectcount#</isNotEmpty>
			<isNotEmpty prepend=',' property='lalcompletecount'>#lalcompletecount#</isNotEmpty>
			<isNotEmpty prepend=',' property='lalcollectionrate'>#lalcollectionrate#</isNotEmpty>
			<isNotEmpty prepend=',' property='createTime'>#createTime#</isNotEmpty>
			<isNotEmpty prepend=',' property='updateTime'>#updateTime#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ywcountlalcollect" parameterClass="java.util.Map">
		update ywcountlalcollect 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='areanum'>areanum=#areanum#</isNotEmpty>
			<isNotEmpty prepend=',' property='areaname'>areaname=#areaname#</isNotEmpty>
			<isNotEmpty prepend=',' property='countDate'>countDate=#countDate#</isNotEmpty>
			<isNotEmpty prepend=',' property='countMonth'>countMonth=#countMonth#</isNotEmpty>
			<isNotEmpty prepend=',' property='countHour'>countHour=#countHour#</isNotEmpty>
			<isNotEmpty prepend=',' property='monitortotal'>monitortotal=#monitortotal#</isNotEmpty>
			<isNotEmpty prepend=',' property='invalidlalcount'>invalidlalcount=#invalidlalcount#</isNotEmpty>
			<isNotEmpty prepend=',' property='laldefectcount'>laldefectcount=#laldefectcount#</isNotEmpty>
			<isNotEmpty prepend=',' property='lalcompletecount'>lalcompletecount=#lalcompletecount#</isNotEmpty>
			<isNotEmpty prepend=',' property='lalcollectionrate'>lalcollectionrate=#lalcollectionrate#</isNotEmpty>
			<isNotEmpty prepend=',' property='createTime'>createTime=#createTime#</isNotEmpty>
			<isNotEmpty prepend=',' property='updateTime'>updateTime=#updateTime#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJcountId'> countId = #XGTJcountId#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJareanum'> areanum = #XGTJareanum# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJareaname'> areaname = #XGTJareaname# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcountDate'> countDate = #XGTJcountDate# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcountMonth'> countMonth = #XGTJcountMonth# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcountHour'> countHour = #XGTJcountHour# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmonitortotal'> monitortotal = #XGTJmonitortotal# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJinvalidlalcount'> invalidlalcount = #XGTJinvalidlalcount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlaldefectcount'> laldefectcount = #XGTJlaldefectcount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlalcompletecount'> lalcompletecount = #XGTJlalcompletecount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlalcollectionrate'> lalcollectionrate = #XGTJlalcollectionrate# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcreateTime'> createTime = #XGTJcreateTime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJupdateTime'> updateTime = #XGTJupdateTime# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ywcountlalcollect" parameterClass="java.util.Map">
		delete from ywcountlalcollect 
		<include refid="condition_Ywcountlalcollect"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ywcountlalcollect" parameterClass="java.util.Map">
		delete from ywcountlalcollect 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ywcountlalcollect" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			a.nolalcount,a.countId,a.areanum,a.areaname,a.countDate,a.countMonth,a.countHour,
			a.monitortotal,a.invalidlalcount,a.laldefectcount,a.lalcompletecount,a.lalcollectionrate,
			a.createTime,a.updateTime
		from ywcountlalcollect a
		WHERE 1=1
		<isNotEmpty prepend='AND' property='countMonth'>
			(countMonth = #countMonth# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areanum'>
			(areanum = #areanum# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
		<!-- <isNotEmpty prepend=' ' property='start'>
			limit $start$, $limit$
		</isNotEmpty> -->
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ywcountlalcollect" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from ywcountlalcollect a
		WHERE 1=1
		<isNotEmpty prepend='AND' property='countMonth'>
			(countMonth = #countMonth# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='areanum'>
			(areanum = #areanum# )
		</isNotEmpty>
			<isNotEmpty property='tableparam'>
				$tableparam$
			</isNotEmpty>
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ywcountlalcollect" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into ywcountlalcollect(
			 <![CDATA[ 
				countId,areanum,areaname,countDate,countMonth,countHour,monitortotal,invalidlalcount,laldefectcount,lalcompletecount,lalcollectionrate,createTime,updateTime
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].countId#,#list[].areanum#,#list[].areaname#,#list[].countDate#,#list[].countMonth#,#list[].countHour#,#list[].monitortotal#,#list[].invalidlalcount#,#list[].laldefectcount#,#list[].lalcompletecount#,#list[].lalcollectionrate#,#list[].createTime#,#list[].updateTime#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











